<?php

/**
 * BACK END GROUP
 */
array_insert($GLOBALS['BE_MOD'], 1, array('formsubmissions'=>array()));

/**
 * BACK END MODULES
 */
array_insert($GLOBALS['BE_MOD'], 1, [
    'form_submissions' => [
        'form_submissions_statistics' => [
            'callback'  => '\CreoCode\ContaoFormSubmissions\Classes\Statistics'
        ],
        'form_submissions_data' => [
            'tables'    => ['tl_form_submissions_set', 'tl_form_submissions', 'tl_form_submissions_data']
        ]
    ]
]);

/**
 * HOOKS
 */
$GLOBALS['TL_HOOKS']['processFormData'][] = array('CreoCode\ContaoFormSubmissions\Classes\FormSubmissions', 'saveSubmission');

/**
 * Callback
 */
if (htmlspecialchars(\Input::get('showForm'))) {
    $GLOBALS['BE_MOD']['form_submissions']['form_submissions_data']['callback'] = 'CreoCode\ContaoFormSubmissions\Classes\FormSubmissionsDataShow';
}
if (htmlspecialchars(\Input::get('resendForm'))) {
    $GLOBALS['BE_MOD']['form_submissions']['form_submissions_data']['callback'] = 'CreoCode\ContaoFormSubmissions\Classes\ormSubmissionsDataResend';
}


/**
 * Register Models
 */
$GLOBALS['TL_MODELS'][\CreoCode\ContaoFormSubmissions\Model\FormSubmissionsModel::getTable()] = '\CreoCode\ContaoFormSubmissions\Model\FormSubmissionsModel';
$GLOBALS['TL_MODELS'][\CreoCode\ContaoFormSubmissions\Model\FormSubmissionsSetModel::getTable()] = '\CreoCode\ContaoFormSubmissions\Model\FormSubmissionsSetModel';
$GLOBALS['TL_MODELS'][\CreoCode\ContaoFormSubmissions\Model\FormSubmissionsDataModel::getTable()] = '\CreoCode\ContaoFormSubmissions\Model\FormSubmissionsDataModel';

/**
 * BACK END STYLESHEET
 */
if( TL_MODE === 'BE' ) {
    $GLOBALS['TL_CSS'][] = 'bundles/contaoformsubmissions/css/backend/backend.css';
}
/**
 * BACK END JAVASCRIPT
 */
//if( TL_MODE === 'BE' ) {
//    $GLOBALS['TL_JAVASCRIPT'][] = 'bundles/contaoformsubmissions/js/backend.js';
//}

/**
 * CRONJOBS
 */
$GLOBALS['TL_HOOKS']['generatePage'][] = [\CreoCode\ContaoFormSubmissions\Classes\Cron::class, 'dailyCron'];
